%define PACKAGE_NAME cflow
Name: %{PACKAGE_NAME}
Version: 2.0
Release: 6
Copyright: distributable
Group: Development/Tools
Source: ftp://sunsite.unc.edu/pub/Linux/devel/lang/c/cflow-2.0.tar.gz
Patch: cflow-fixcpp.patch
%define PREFIX /usr
Prefix: %{PREFIX}
BuildRoot: /var/tmp/%{PACKAGE_NAME}-%{PACKAGE_VERSION}-%{PACKAGE_RELEASE}
Summary: A C development tool which shows call structure in a program.

%description
The cflow development utility looks through C source code and prints
out a graph of functions and what the functions call. Cflow's output
is helpful if you're trying to learn how a program is laid out.

%prep
%setup
%patch -p1

%build
cFLOW_SHELL=`which bash`
PREFIX=%{PREFIX}
export PREFIX CFLOW_SHELL
make

%install
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/usr/man/man1

for bin in cflow prcc prcg; do
    cp ${bin} $RPM_BUILD_ROOT/usr/bin
    chmod 755 $RPM_BUILD_ROOT/usr/bin/${bin}
done

cp cflow.1 $RPM_BUILD_ROOT/usr/man/man1/cflow.1
chmod 644 $RPM_BUILD_ROOT/usr/man/man1/cflow.1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README TODO cflow.lsm
/usr/bin/cflow
/usr/bin/prcc
/usr/bin/prcg
/usr/man/man1/cflow.1

%changelog
* Wed Jan 5 2000 Tim Powers <timp@redhat.com>
- rebuilt for 6.2

* Tue Aug 3 1999 Tim Powers <timp@redhat.com>
- origional spec from ftp.redhat.com/contrib
- added %defattr
- changed buildroot to be in /var/tmp not /tmp
- built to be included in Powertools
